Bug 8522 - Markup errors cause problems with customized CSS
Summary: Markup errors cause problems with customized CSS
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-30 14:40 UTC by Owen Leonard
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot showing the header background problem (13.27 KB, image/png)
2012-07-30 14:40 UTC, Owen Leonard
Details
Bug 8522 - Markup errors cause problems with customized CSS (4.64 KB, patch)
2012-07-30 15:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8522 - Markup errors cause problems with customized CSS (4.66 KB, patch)
2012-08-07 03:54 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-07-30 14:40:50 UTC
Created attachment 11198 [details]
Screenshot showing the header background problem

A few files have markup errors which are causing display problems when a custom stylesheet is set up to override the background of the #header region.
Comment 1 Owen Leonard 2012-07-30 15:01:14 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-07-30 16:38:51 UTC
Sorry, the CSS example didn't come through because it was prefixed with "#" !

#header { background : #336699 none; }
Comment 3 Chris Cormack 2012-08-07 03:54:14 UTC
Created attachment 11396 [details] [review]
Bug 8522 - Markup errors cause problems with customized CSS

Some includes and templates contained duplicate "header" ids in
the markup. The problem should have come up in routine page
validation, but was obvious when custom CSS was applied.

To test, load any of the affected pages and validate the
generated HTML. There should be no errors about 'ID "header"
already defined." Or, add custom CSS to intranetusercss:

...and confirm that only the topmost menu background is affected.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 4 Mason James 2012-08-10 07:02:30 UTC
(In reply to comment #3)
> Created attachment 11396 [details] [review]
> Bug 8522 - Markup errors cause problems with customized CSS
> 
> Some includes and templates contained duplicate "header" ids in
> the markup. The problem should have come up in routine page
> validation, but was obvious when custom CSS was applied.
> 
> To test, load any of the affected pages and validate the
> generated HTML. There should be no errors about 'ID "header"
> already defined." Or, add custom CSS to intranetusercss:
> 
> ...and confirm that only the topmost menu background is affected.
> 
> Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

patch look good, passing QA


mason@xen1:~/git/head$ koha-qa.pl
        * e6a5599 Bug 8522 - Markup errors cause problems with customized CSS
                koha-tmpl/intranet-tmpl/prog/en/includes/budgets-admin-search.inc
                koha-tmpl/intranet-tmpl/prog/en/includes/cities-admin-search.inc
                koha-tmpl/intranet-tmpl/prog/en/includes/patrons-admin-search.inc
                koha-tmpl/intranet-tmpl/prog/en/includes/roadtype-admin-search.inc
                koha-tmpl/intranet-tmpl/prog/en/includes/z3950-admin-search.inc
                koha-tmpl/intranet-tmpl/prog/en/modules/circ/returns.tt

- perlcritic-progressive tests... OK
- perl -c syntax tests... OK
- xt/tt_valid.t tests... OK
- xt/author/valid-template.t tests... OK
mason@xen1:~/git/head$
Comment 5 Chris Cormack 2012-08-11 19:18:32 UTC
Pushed to 3.8.x will be in 3.8.4
Comment 6 Paul Poulain 2012-08-31 16:53:39 UTC
Patch pushed to master. Already on stable, setting status accordingly